Results 1 to 9 of 9

Thread: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

  1. #1
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Ik ben recent van openSUSE 11.3 naar de versie 11.4 overgestapt.
    Onder openSUSE 11.3 met de versie FireFox 3.xx kon ik vlot met mijn kaartlezer op Tax-on-web.
    De middleware was overigens bij het installatiepakket 11.3 gevoegd - dit in tegenstelling met versie 11.4 .

    Code:
    zypper se pcsc
    geeft volgend resultaat :

    Code:
    Loading repository data...
    Reading installed packages...
    
    S | Name                     | Summary                                                                    | Type      
    --+--------------------------+----------------------------------------------------------------------------+-----------
    i | libpcsclite1             | PCSC Smart Card Library                                                    | package   
    i | libpcsclite1             | pcscd: Fixed don't startup issue                                           | patch     
      | libpcsclite1-32bit       | PCSC Smart Card Library                                                    | package   
    i | pcsc-acr38               | PC/SC IFD Handler for the ACR38 Smart Card Reader                          | package   
      | pcsc-acr38-devel         | PC/SC IFD Handler for the ACR38 Smart Card Reader                          | package   
      | pcsc-asedriveiiie-serial | ASEDrive IIIe Serial Smartcard Reader Driver                               | package   
      | pcsc-asedriveiiie-usb    | ASEDrive IIIe USB Smart Card Reader Driver                                 | package   
      | pcsc-asekey              | ASEKey USB Token Driver                                                    | package   
      | pcsc-ccid                | PCSC Driver for CCID Based Smart Card Readers and GemPC Twin Serial Reader | package   
      | pcsc-cyberjack           | PC/SC IFD Handler for the Reiner SCT Cyberjack USB-SmartCard Reader        | package   
      | pcsc-eco5000             | PC/SC IFD Handler for the ECO 5000 Serial Smart Card Reader                | package   
      | pcsc-gempc               | PCSC driver for the Gemplus GemPC 410/430 smartcard readers                | package   
    i | pcsc-lite                | PCSC Smart Cards Library                                                   | package   
      | pcsc-lite                | PCSC Smart Cards Library                                                   | srcpackage
      | pcsc-lite-devel          | Development package for the MUSCLE project SmartCards library              | package   
      | pcsc-openct              | PC/SC IFD Handler for OpenCT Smart Card Drivers                            | package   
      | pcsc-reflex60            | PCSC driver for Schlumberger Reflex 60 smartcard readers                   | package   
      | pcsc-towitoko            | PCSC driver for Towitoko Smart Card Readers                                | package   
      | pcsc-towitoko-devel      | PCSC driver for Towitoko Smart Card Readers                                | package
    Blijkbaar zijn een aantal drivers (libpcsclite1 , pcsc-acr38 , pcsc-lite) geladen.
    Werd pcsc-ccid geladen ?

    Code:
    sudo /usr/sbin/pcscd -fd
    geeft volgend resultaat :
    Code:
    root's password:
    00000000 debuglog.c:277:DebugLogSetLevel() debug level=debug                                                                                                                                                                                 
    00000089 pcscdaemon.c:336:main() file /var/run/pcscd/pcscd.comm already exists.                                                                                                                                                              
    00000008 pcscdaemon.c:338:main() Another pcscd (pid: 1962) seems to be running.
    Vervolgens :

    Code:
    sudo /etc/init.d/pcscd stop
    Stopping PC/SC smart card daemon (pcscd):
    Vervolgens :
    Code:
    sudo /usr/sbin/pcscd -fd
    00000065 pcscdaemon.c:550:main() pcsc-lite 1.7.2 daemon ready.
     00000008 hotplug_libudev.c:309:HPAddDevice() Adding USB device: ACS ACR38U
    00000044 readerfactory.c:934:RFInitializeReader() Attempting startup of ACS ACR38U 00 00 using /usr/lib64/readers/ACR38UDriver.bundle/Contents/Linux/ACR38UDriver.so
    00000377 dyn_unix.c:81:DYN_GetAddress() IFDHCreateChannelByName: /usr/lib64/readers/ACR38UDriver.bundle/Contents/Linux/ACR38UDriver.so: undefined symbol: IFDHCreateChannelByName
    00000014 readerfactory.c:792:RFBindFunctions() Loading IFD Handler 2.0
    00099513 readerfactory.c:290:RFAddReader() Using the pcscd polling thread
    De rode lijnen zijn blijkbaar fout.

    Wat kan ik nog meer doen om met FireFox op Tax-on-Web te gaan ?

    Dank voor uw antwoord,

    W

  2. #2
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Wat ik nog van verdere info kan meegeven komt uit
    Code:
    hwinfo --usb
    :

    Code:
    USB 00.0: 0000 Unclassified device
      [Created at usb.122]
      Unique ID: QO08.44aSoDweEw9
      Parent ID: aLrk.d7FDLX76qXB
      SysFS ID: /devices/pci0000:00/0000:00:10.4/usb1/1-6/1-6.2/1-6.2.2/1-6.2.2:1.0
      SysFS BusID: 1-6.2.2:1.0
      Hardware Class: unknown
      Model: "Advanced Card ACR38 AC1038-based Smart Card Reader"
      Hotplug: USB
      Vendor: usb 0x072f "Advanced Card Systems, Ltd"
      Device: usb 0x9000 "ACR38 AC1038-based Smart Card Reader"
      Revision: "1.00"
      Driver: "usbfs"
      Driver Modules: "usbcore"
      Speed: 12 Mbps
      Module Alias: "usb:v072Fp9000d0100dc00dsc00dp00ic00isc00ip00"
      Config Status: cfg=no, avail=yes, need=no, active=unknown
      Attached to: #21 (Hub)
    Wat betekent overigens : cfg=no ?

  3. #3
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Als laatste poging naar :



    poging tot installatie met KPackageKit geeft volgende foutboodschap :

    Code:
    nothing provides ccid needed by eid-mw-4.0.0-0.925.fc15.x86_64

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Er is nog een "draad" hierover. Zoek even, voor zover ik me goed herinnner, is 't wel werkend te krijgen
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Angry Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Quote Originally Posted by Knurpht View Post
    Er is nog een "draad" hierover. Zoek even, voor zover ik me goed herinnner, is 't wel werkend te krijgen
    Beste Knurpht,

    Blijkbaar heeft het Mysterie van Financiën besloten deze versie van FF niet te aanvaarden.
    Inderdaad, bij inloggen op de site verschijnt een expliciete boodschap om FF3.xx te gebruiken.

    Telefonisch contact met de helpdesk leerde mij dat ik Firefox moest downgraden tot na de grote vakantie - in mensentaal : tot na het afsluiten van het indieningsperiode voor de belastingsaangifte. Blijkbaar is de aanpassing aan FF 4.x geen prioritair project.

    Dus voorlopig zal ik FF 3.6.17 onder Windows gebruiken. de versie 4.xx werkt evenmin onder Windows.

    Bedankt iedereen voor zijn reacties.

    W

  6. #6
    Join Date
    Jun 2008
    Location
    Belgium
    Posts
    46

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    ik dacht ook es naar mn taxonweb te kijken, tis weer een soepje.. ik heb precies wel een interessant projectje gevonden op de buildservice en daar lijkt inderdaad een pakket niet meer te builden vanaf 11.4:
    https://build.opensuse.org/package/s...config-belgium

  7. #7

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Hoi,

    Ik heb de eid-middleware succesvol geïnstalleerd op mijn opensuse 11.4/tumbleweed 64bit. Je vindt mijn relaas verspreid over enkele Nederlands- en Engelstalige topics. Zoek gerust op mijn naam voor meer info.

    Mocht je het toch nog eens willen proberen met opensuse, probeer dan eens het volgende:

    Als je eid-mw-4.0.0-0.925.fc15.x86_64.rpm wil installeren moet het pakket "ccid" inderdaad geïnstalleerd worden, alleen heet dat pakket in opensuse "pcsc-ccid". Installeer dat dus eerst vooraleer je eid-mw installeert. Eid-mw moet je trouwens ook met zypper installeren, omdat kpackagekit niet overweg kan met dat (zogezegde) ontbrekende pakket. Sla eid-mw dus op de harde schijf op en installeer het vanuit een terminal.

    Code:
    su
    zypper in pcsc-ccid
    zypper in eid-mw-4.0.0-0.925.fc15.x86_64.rpm
    Ook zypper zal problemen hebben met het ontbrekende pakket, maar hier kan je ervoor kiezen om je niets aan te trekken van het ontbrekende pakket ("breek afhankelijkheden"). Voor de rest installeert alles goed. Er wordt automatisch een add-on toegevoegd aan firefox, dus die moet je herstarten.

    Helaas zijn we er nu nog niet. Het werkt inderdaad niet out-of-the-box in firefox4 omdat er een fundamenteel veiligheidsgat in het TLS/SSL-protocol zat en mozilla uit veiligheidsoverwegingen geen andere mogelijkheid zag om "renegotiation" te blokkeren in ff4 omdat veel servers nog met oude versies van dat protocol werken. Je kon "renegotiation" wel manueel toelaten voor ccff02.minfin.fgov.be, zoals ik in die andere thread heb beschreven en dat werkte perfect... tot onze vaderlandsche administratie het vorige week nodig vond om zich te moeien. Ze hebben daar in Brussel blijkbaar beslist dat het niet werkt. (Trouwens ook niet met IE9 naar't schijnt) Ik was er voordien makkelijk ingeraakt, maar toen ik er vorige week nog mijn bijlages aan wou toevoegen niet meer... Er werd voorgesteld om down te graden naar ff3.x of IE8 ofzo. En daar had ik goegenaamd geen zin in. Omdat ik wist dat het werkte, besloot ik dan maar om taxonweb te foppen en mijn ff4 zich te laten identificeren als ff3.6. En dat werkt.

    Enfin, even de twee truuks uitleggen. In de firefox4 adresbalk typ je "about:config" en je bevestigt dat je geen dommigheden zal doen. Pas volgende opties aan (of maak ze aan als ze niet bestaan):
    - security.ssl.renego_unrestricted_hosts : ccff02.minfin.fgov.be
    - general.useragent.override : Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.9) Gecko/20100915 Gentoo Firefox/3.6.9

    (Ik denk dat je best die general.useragent.override terug wist nadat je belastingsbrief in orde is)

    Als alles goed verlopen is, zou het nu moeten lukken. Ikzelf had nog problemen met de communicatie tussen de middleware en pcscd. Mocht het niet lukken, kan je proberen met in een terminal pcscd in de voorgrond en met debug-uitvoer aan te roepen. Laat dit commando lopen terwijl je probeert in te loggen op taxonweb. Foutmeldingen komen inderdaad in het rood te staan.

    Code:
    su
    /etc/init.d/pcscd stop
    pcscd -fd

  8. #8
    Join Date
    Jan 2009
    Location
    Belgium
    Posts
    245

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Quote Originally Posted by zeeappel View Post
    Hoi,

    Ik heb de eid-middleware succesvol geïnstalleerd op mijn opensuse 11.4/tumbleweed 64bit. Je vindt mijn relaas verspreid over enkele Nederlands- en Engelstalige topics. Zoek gerust op mijn naam voor meer info.

    Mocht je het toch nog eens willen proberen met opensuse, probeer dan eens het volgende:

    Als je eid-mw-4.0.0-0.925.fc15.x86_64.rpm wil installeren moet het pakket "ccid" inderdaad geïnstalleerd worden, alleen heet dat pakket in opensuse "pcsc-ccid". Installeer dat dus eerst vooraleer je eid-mw installeert. Eid-mw moet je trouwens ook met zypper installeren, omdat kpackagekit niet overweg kan met dat (zogezegde) ontbrekende pakket. Sla eid-mw dus op de harde schijf op en installeer het vanuit een terminal.

    Code:
    su
    zypper in pcsc-ccid
    zypper in eid-mw-4.0.0-0.925.fc15.x86_64.rpm
    Ook zypper zal problemen hebben met het ontbrekende pakket, maar hier kan je ervoor kiezen om je niets aan te trekken van het ontbrekende pakket ("breek afhankelijkheden"). Voor de rest installeert alles goed. Er wordt automatisch een add-on toegevoegd aan firefox, dus die moet je herstarten.

    Helaas zijn we er nu nog niet. Het werkt inderdaad niet out-of-the-box in firefox4 omdat er een fundamenteel veiligheidsgat in het TLS/SSL-protocol zat en mozilla uit veiligheidsoverwegingen geen andere mogelijkheid zag om "renegotiation" te blokkeren in ff4 omdat veel servers nog met oude versies van dat protocol werken. Je kon "renegotiation" wel manueel toelaten voor ccff02.minfin.fgov.be, zoals ik in die andere thread heb beschreven en dat werkte perfect... tot onze vaderlandsche administratie het vorige week nodig vond om zich te moeien. Ze hebben daar in Brussel blijkbaar beslist dat het niet werkt. (Trouwens ook niet met IE9 naar't schijnt) Ik was er voordien makkelijk ingeraakt, maar toen ik er vorige week nog mijn bijlages aan wou toevoegen niet meer... Er werd voorgesteld om down te graden naar ff3.x of IE8 ofzo. En daar had ik goegenaamd geen zin in. Omdat ik wist dat het werkte, besloot ik dan maar om taxonweb te foppen en mijn ff4 zich te laten identificeren als ff3.6. En dat werkt.

    Enfin, even de twee truuks uitleggen. In de firefox4 adresbalk typ je "about:config" en je bevestigt dat je geen dommigheden zal doen. Pas volgende opties aan (of maak ze aan als ze niet bestaan):
    - security.ssl.renego_unrestricted_hosts : ccff02.minfin.fgov.be
    - general.useragent.override : Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.9) Gecko/20100915 Gentoo Firefox/3.6.9

    (Ik denk dat je best die general.useragent.override terug wist nadat je belastingsbrief in orde is)

    Als alles goed verlopen is, zou het nu moeten lukken. Ikzelf had nog problemen met de communicatie tussen de middleware en pcscd. Mocht het niet lukken, kan je proberen met in een terminal pcscd in de voorgrond en met debug-uitvoer aan te roepen. Laat dit commando lopen terwijl je probeert in te loggen op taxonweb. Foutmeldingen komen inderdaad in het rood te staan.

    Code:
    su
    /etc/init.d/pcscd stop
    pcscd -fd
    Hallo,

    Ik heb zo-even FF4 aangepast met de twee lijnen in about:config.
    Dit geeft mij de volgende foutboodschap :

    An error occurred during a connection to ccff02.minfin.fgov.be.
    SSL peer was unable to negotiate an acceptable set of security parameters.
    (Error code: ssl_error_handshake_failure_alert)
    Code:
    pcscd -fd
    levert het volgende op :

    Code:
    pcscd -fd
    00000000 debuglog.c:277:DebugLogSetLevel() debug level=debug
    00000077 pcscdaemon.c:336:main() file /var/run/pcscd/pcscd.comm already exists.
    00000007 pcscdaemon.c:338:main() Another pcscd (pid: 8215) seems to be running.
    Wat nu ?

    W

  9. #9

    Default Re: OpenSUSE 11.4 64 bits – KDE – FireFox 4.0.1 - ACR38 usb kaartlezer – eId

    Hmm, blijkbaar was er al/nog een pcscd aan het lopen op toen je "pcscd -fd" deed. Heb je niet vooraf vergeten (als root) de pcscd service te stoppen ("sudo /etc/init.d/pcscd stop"? Indien je dit toch gedaan hebt, is er duidelijk iets misgelopen met pcscd (en dat blijkt vaker voor te komen); in dit geval moet je /var/run/pcscd/pcscd.comm manueel verwijderen. Dus:

    Code:
    su
    /etc/init.d/pcscd stop
    rm /var/run/pcscd/pcscd.comm
    pcscd -fd

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •